import { ConfigEditorService } from './config-editor.service';
export declare class ConfigEditorController {
    private configEditorService;
    constructor(configEditorService: ConfigEditorService);
    getConfig(): Promise<import("../../core/config/config.interfaces").HomebridgeConfig>;
    updateConfig(body: any): Promise<import("../../core/config/config.interfaces").HomebridgeConfig>;
    getConfigForPlugin(pluginName: string): Promise<import("@nestjs/common").BadRequestException | (import("../../core/config/config.interfaces").PlatformConfig | import("../../core/config/config.interfaces").AccessoryConfig)[]>;
    updateConfigForPlugin(pluginName: string, body: any): Promise<import("@nestjs/common").BadRequestException | Record<string, any>[]>;
    disablePlugin(pluginName: any): Promise<string[]>;
    enablePlugin(pluginName: any): Promise<string[]>;
    setPropertyForUi({ key, value }: {
        key: any;
        value: any;
    }): Promise<void>;
    setAccessoryControlInstanceBlacklist({ body }: {
        body: any;
    }): Promise<void>;
    setPluginsHideUpdatesFor({ body }: {
        body: any;
    }): Promise<void>;
    listConfigBackups(): Promise<{
        id: string;
        timestamp: Date;
        file: string;
    }[]>;
    getBackup(backupId: any): Promise<NonSharedBuffer>;
    deleteBackup(backupId: any): Promise<void>;
    deleteAllConfigBackups(): Promise<void>;
}
